#include <stdio.h>
#include <stdlib.h>

int rand2() {
    return rand() + (rand() << 16);
}

int main(int argc, char **argv) {
    int start = atoi(argv[1]);
    int end = atoi(argv[2]);
    srand(atoi(argv[3]));

    for (int i = start; i <= end; i++) {
        char fn[32];
        sprintf(fn, "%02d", i);
        freopen(fn, "w", stdout);
        printf("%d\n", rand2() % 100000);
    }

    return 0;
}
